using LoginPI.Engine.ScriptBase;

public class notepad : ScriptBase
{
    private void Execute()
    {
        // Define variables
        var SaveAsTitle = "Save As";
        var OverWriteTitle = "Confirm Save As";
        var PrintTitle = "Print";

        START();

        // Typing some text
        MainWindow.Type("The virtual user is typing this text.{ENTER}Pretty cool right?");
        MainWindow.Type("{CTRL+a}{CTRL+c}",cpm:0);
        MainWindow.Type("{RIGHT}{ENTER}");
        MainWindow.Type("{CTRL+v}",cpm:0);
        MainWindow.Type("{ENTER}");
        MainWindow.Type("{CTRL+v}",cpm:0);
        MainWindow.Type("{ENTER}");
        MainWindow.Type("{CTRL+v}",cpm:0);
        MainWindow.Type("{ENTER}");
        MainWindow.Type("{CTRL+v}",cpm:0);
        Wait(2);

        // Open print window
        StartTimer("Open_Print_Window");
        MainWindow.Type("{CTRL+P}",cpm:0);
        var PrintWindow = FindWindow(title:PrintTitle);
        StopTimer("Open_Print_Window");
        PrintWindow.Type("{ESC}");

        // Saving the file in temp
        MainWindow.Type("{CTRL+s}",cpm:0);
        Wait(1);
        
        var SaveAs = FindWindow(title:SaveAsTitle);
        SaveAs.Type(@"%temp%\LoginPI\notepadpi.txt",cpm:0);
        StartTimer("Saving_file");
        SaveAs.Type("{ENTER}");
        var Saved = FindWindow(title: "*notepadpi*",timeout:10,continueOnError:true);
        if (Saved != null){
            StopTimer("Saving_file");
            Log("File is saved");
        }
        else{
            var OverWriteWindow = FindWindow (title:OverWriteTitle,timeout:3);
            CancelTimer("Saving_file");
            OverWriteWindow.Type("{LEFT}");
            StartTimer("Saving_file");
            OverWriteWindow.Type("{ENTER}");
            FindWindow(title: "*notepadpi*",timeout:10);
            StopTimer("Saving_file");
            Log("File is overwritten");
        }

        Wait(2);

        STOP();
    }
}