using LoginPI.Engine.ScriptBase;

public class powerpoint : ScriptBase
{
    void Execute()
    {
        // Define variables
        var SaveAsTitle = "Save As";
        var OverWriteTitle = "Confirm Save As";
        var TransitionName = "Push";
        var PresentationName = "PowerPoint Slide Show*";
          
        START();

        // Create new presentation and first slide
        MainWindow.Type("{CTRL+n}",cpm:0);
        StartTimer("First_slide");
        MainWindow.Type("Login PI3");
        MainWindow.Type("{CTRL+ENTER}",cpm:0);
        MainWindow.Type("Powerpoint Presentation");
        StopTimer("First_slide");

        // Create second slide
        StartTimer("Second_slide");
        MainWindow.Type("{CTRL+m}",cpm:0);
        MainWindow.Type("{TAB}");
        MainWindow.Type("Some key points");
        MainWindow.Type("{CTRL+ENTER}");    
        MainWindow.Type("Keypoint 1");
        MainWindow.Type("{ENTER}");
        MainWindow.Type("Keypoint 2");
        MainWindow.Type("{ENTER}");        
        MainWindow.Type("Keypoint 3");
        MainWindow.Type("{ENTER}");
        MainWindow.Type("Keypoint 4");
        MainWindow.Type("{ENTER}");
        MainWindow.Type("Keypoint 5");
        Wait(1);
        
        MainWindow.Type("{ALT+K}");
        MainWindow.FindControl(title : TransitionName).Click();
        StopTimer("Second_slide");
        
        // Do a presentation and close it
        Wait(1);
        MainWindow.Type("{F5}");
        var PresentationWindow = FindWindow(title : PresentationName);
        Wait(5);
        PresentationWindow.Type("{SPACE}");
        Wait(5);
        PresentationWindow.Type("{ESC}");

        // Saving the file in temp
        MainWindow.Type("{CTRL+s}",cpm:0);
        MainWindow.Type("{ALT+a+o}",cpm:0);

        var SaveAs = FindWindow(title:SaveAsTitle);
        SaveAs.Type(@"%temp%\LoginPI\powerpointpi.pptx",cpm:0);
        StartTimer("Saving_file");
        SaveAs.Type("{ENTER}");
        var Saved = FindWindow(title: "*powerpointpi*",timeout:10,continueOnError:true);
        if (Saved != null){
            StopTimer("Saving_file");
            Log("File is saved");
        }
        else{
        var OverWriteWindow = FindWindow (title:OverWriteTitle,timeout:3);
            CancelTimer("Saving_file");
            OverWriteWindow.Type("{LEFT}");
            StartTimer("Saving_file");
            OverWriteWindow.Type("{ENTER}");
            FindWindow(title: "*powerpointpi*",timeout:10);
            StopTimer("Saving_file");
            Log("File is overwritten");
        }
        Wait(1);

        STOP();

    }
}
