using LoginPI.Engine.ScriptBase;

public class ForEach : ScriptBase
{
    void Execute()
    {
        // ----------- FOREACH -----------
        // DESCRIPTION
        // Foreach accepts an array of values
        // The foreach loops through each item in the array
        // In the example below we iterate through 3 example values

        string[] example = {"example 1","example 2","example 3"};
        foreach (string value in example)
        {
            Log(value);
        }

        for (var x = 0; x < 100; x++)
        {
            Log(x);
        }

        STOP();
    }
}